close all;
clear all;
clc;

load('Phase_Exp_02.mat');

S           = 4325.44
noise       = std(Phase_const)
LOD         = 3*noise/S

fprintf('Phase Noise extraction...\n');    
%% Plotting Phase Noise
fid = figure;

plot(Time_const, Phase_const, 'LineWidth', 2);

ylabel('$\varphi$ $[\mathrm{rad}]$', 'FontSize', 15, 'Interpreter', 'latex');
xlim([min(Time_const) max(Time_const)]);
xlabel('$t$ $[\mathrm{s}]$', 'FontSize', 15, 'Interpreter', 'latex');
title(strcat('Phase Noise'), 'FontSize', 17, 'Interpreter', 'latex');
grid on;
grid minor
ax = gca;
ax.FontSize = 15;