function [oSpec, oFreq] = FFTN(iSignal, idt)

    dt      = idt;
    fs      = 1/dt;

    minF    = -fs/2;

    lenofSig    = length(iSignal);
    if isequal(mod(lenofSig, 2), 0)
        oFreq   = minF + (0:lenofSig-1) * fs / lenofSig;
    else
        oFreq   = minF + (0.5+(0:1:lenofSig-1)) * fs / lenofSig;
    end

    oSpec   = fft(iSignal)/sqrt(lenofSig);
end